> For the complete documentation index, see [llms.txt](https://docs.gridstatus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gridstatus.io/developers/api-reference/reports.md).

# Reports

## Get Daily Peak Report

> Get a daily peak report for the specified ISO on the specified date. If multiple peaks in LMP values are found in the Day Ahead Market data for a given zone, only data for the first peak will be returned.\
> \
> NOTE: You must be on a paid Grid Status plan to access this endpoint.

```json
{"openapi":"3.1.0","info":{"title":"Grid Status API","version":"1.3.0"},"servers":[{"url":"https://api.gridstatus.io/v1"}],"paths":{"/reports/daily_peak/{iso}":{"get":{"tags":["Reports"],"summary":"Get Daily Peak Report","description":"Get a daily peak report for the specified ISO on the specified date. If multiple peaks in LMP values are found in the Day Ahead Market data for a given zone, only data for the first peak will be returned.\n\nNOTE: You must be on a paid Grid Status plan to access this endpoint.","operationId":"get_daily_peak_report_v1_reports_daily_peak__iso__get","parameters":[{"name":"iso","in":"path","required":true,"schema":{"$ref":"#/components/schemas/ISOEnum","title":"ISO Name","description":"Name of the iso for which the report should be created"},"description":"Name of the iso for which the report should be created"},{"name":"date","in":"query","required":true,"schema":{"type":"string","format":"date","title":"date","description":"The date for which the report should be generated."},"description":"The date for which the report should be generated."},{"name":"api_key","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"API key for authentication (query)","title":"Api Key"},"description":"API key for authentication (query)"},{"name":"x-api-key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"API key for authentication (header)","title":"X-Api-Key"},"description":"API key for authentication (header)"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PeakLoadReportResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"ISOEnum":{"type":"string","enum":["CAISO","ERCOT","IESO","ISONE","MISO","NYISO","PJM","SPP"],"title":"ISOEnum"},"PeakLoadReportResponse":{"properties":{"ISO":{"type":"string","title":"Iso"},"market_date":{"type":"string","format":"date","title":"Market Date"},"timezone":{"type":"string","title":"Timezone"},"peak_dam_lmp":{"anyOf":[{"items":{"$ref":"#/components/schemas/PeakDamLmpResponse"},"type":"array"},{"type":"null"}],"title":"Peak Dam Lmp"},"peak_load":{"anyOf":[{"$ref":"#/components/schemas/PeakIntervalResponse"},{"type":"null"}]},"peak_net_load":{"anyOf":[{"$ref":"#/components/schemas/PeakIntervalResponse"},{"type":"null"}]}},"type":"object","required":["ISO","market_date","timezone"],"title":"PeakLoadReportResponse"},"PeakDamLmpResponse":{"additionalProperties":{"anyOf":[{"type":"number"},{"type":"string","format":"date-time"},{"type":"string"},{"type":"null"}]},"type":"object"},"PeakIntervalResponse":{"properties":{"interval_start_market":{"type":"string","format":"date-time","title":"Interval Start Market"},"interval_end_market":{"type":"string","format":"date-time","title":"Interval End Market"},"load":{"type":"number","title":"Load"},"net_load":{"type":"number","title":"Net Load"}},"additionalProperties":{"anyOf":[{"type":"number"},{"type":"null"}]},"type":"object","required":["interval_start_market","interval_end_market","load","net_load"],"title":"PeakIntervalResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.gridstatus.io/developers/api-reference/reports.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
